package components
{
	import mx.controls.Image;
	
	import spark.components.Button;
	
	public class ex_IconButton extends spark.components.Button
	{
		// SkinParts
		[SkinPart(required="true")]
		public var img:Image;
		
		// Propriétés
		private var _icon:String;	// Propriété Image.source du SkinPart "img"
		
		// Constructeur
		public function ex_IconButton()
		{
			super();
		}
		
		// Getters and Setters
		public function set icon(value:String):void
		{		
			if (_icon == value)
				return;
			_icon = value;
			
			if (img)
				img.source = _icon;
		}

		public function get icon():String
		{
			return _icon;
		}

		// Initialise la propriété source du skinPart "img"
		override protected function partAdded(partName:String, instance:Object):void
		{
			super.partAdded(partName, instance);
			if (instance == img)
				img.source = icon;
		}
	}
}